falconia has uploaded this change for review. ( https://gerrit.osmocom.org/c/libosmocore/+/41144?usp=email )
Change subject: rtp_extensions.h: update for TW-TS-003 version 1.1.0
......................................................................
rtp_extensions.h: update for TW-TS-003 version 1.1.0
Themyscira Wireless released new specs for enhanced RTP formats
on AoIP interface user plane:
* TW-TS-006 for AMR, allowing RTP transport between an E1 BTS and
a CN transcoder that implements both regular transcoding and TFO
functions as specified in 3GPP Rel4 for TDM-based GSM;
* TW-TS-007 for compressed CSD, making CSD in RTP much more efficient;
* An updated version of TW-TS-003 adds two new bits to RTPext IE
(GSM0808_IE_THEMWI_RTP_EXTENSIONS) for MSC to request the use of
TW-TS-006 and TW-TS-007 extensions, and for BSS to acknowledge
the necessary support.
All TW-TS for RTP extensions are summarized here:
https://osmocom.org/projects/retro-gsm/wiki/ThemWi_RTP_Extensions
Change-Id: I2cc2c9340f9fa5c7111447a6beef49c335fa1107
---
M include/osmocom/gsm/rtp_extensions.h
1 file changed, 3 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/libosmocore refs/changes/44/41144/1
diff --git a/include/osmocom/gsm/rtp_extensions.h b/include/osmocom/gsm/rtp_extensions.h
index edea431..e397a3f 100644
--- a/include/osmocom/gsm/rtp_extensions.h
+++ b/include/osmocom/gsm/rtp_extensions.h
@@ -11,7 +11,7 @@
* namely, GSM0808_IE_THEMWI_RTP_EXTENSIONS and RSL_IE_OSMO_RTP_EXTENSIONS.
* It is based on this authoritative definition:
*
- * https://www.freecalypso.org/specs/tw-ts-003-v010002.txt
+ * https://www.freecalypso.org/specs/tw-ts-003-v010100.txt
*
* Section 5.3 in the above specification defines the assignment of
* individual bits in the single value octet.
@@ -21,3 +21,5 @@
#define OSMO_RTP_EXT_TWTS001 0x01
#define OSMO_RTP_EXT_TWTS002 0x02
+#define OSMO_RTP_EXT_TWTS006 0x04
+#define OSMO_RTP_EXT_TWTS007 0x08
--
To view, visit https://gerrit.osmocom.org/c/libosmocore/+/41144?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Change-Id: I2cc2c9340f9fa5c7111447a6beef49c335fa1107
Gerrit-Change-Number: 41144
Gerrit-PatchSet: 1
Gerrit-Owner: falconia <falcon(a)freecalypso.org>
Attention is currently required from: jolly.
Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-e1d/+/41139?usp=email
to look at the new patch set (#2).
The following approvals got outdated and were removed:
Verified-1 by Jenkins Builder
Change subject: Add Channel-Associated Signalling (CAS) support
......................................................................
Add Channel-Associated Signalling (CAS) support
CAS frames are sent and received repeatedly. They consist of 16 frames
(octets) on time slot 16. This is a CAS multi frame. This multiframe
carries 30 individual CAS signaling channels.
Whenever a CAS frame is received, the included 30 CAS channels are
forwarded to the application with a message of 30 octets, one octet for
each CAS channel.
The application requests to transmit a CAS frame by sending a message
with 30 octets, one for each CAS channel. Most recent CAS frame will be
transmitted repeatedly until the application sends a new message.
The 30 octets in the message correspond to the signaling channels of
these 30 time slots:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15
17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31
The lower 4 bits of each octet in the message represent the signaling
sub-channels: A, B, C and D. They are packed like this: '0000ABCD'
Change-Id: Ib4f5e6ef02c9b0d1eec2a86d9c48376112805972
---
M include/osmocom/e1d/proto.h
M src/ctl.c
M src/e1d.h
M src/mux_demux.c
M src/proto.c
M src/vty.c
6 files changed, 178 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-e1d refs/changes/39/41139/2
--
To view, visit https://gerrit.osmocom.org/c/osmo-e1d/+/41139?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: osmo-e1d
Gerrit-Branch: master
Gerrit-Change-Id: Ib4f5e6ef02c9b0d1eec2a86d9c48376112805972
Gerrit-Change-Number: 41139
Gerrit-PatchSet: 2
Gerrit-Owner: jolly <andreas(a)eversberg.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Attention: jolly <andreas(a)eversberg.eu>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/41143?usp=email )
Change subject: buildsystem/gen_links: catch file not found errors
......................................................................
buildsystem/gen_links: catch file not found errors
Tweak gen_links() to sequentially iterate over the files for which
symlinks shall be created, and verify that each symlink target exists.
If the target does not exist, abort with an error:
ERROR in bsc/gen_links.sh: file not found
File (from FILES):
SDP_EncDec.cc
DIR:
../deps/titan.Libraries.TCCUsefulFunctions/src
This is slightly slower than the parallel approach from before, but it
prevents adding subtle bugs that don't trigger every time so IMHO the
trade-off is worth it.
Adjust the Makefile to ensure dependencies are fetched before running
gen_links.sh, so the targets are not missing when running this from a
fresh git clone without deps.
Change-Id: I0da0ec30e5eaf65d0348e22900a5ee006dee9e44
---
M Makefile
M _buildsystem/gen_links.inc.sh
2 files changed, 16 insertions(+), 5 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/43/41143/1
diff --git a/Makefile b/Makefile
index 2724dec..1ad357b 100644
--- a/Makefile
+++ b/Makefile
@@ -95,13 +95,13 @@
all: $(foreach dir,$(SUBDIRS),$(dir)/all)
define DIR_Makefile_template
-$(BUILDDIR)/$(1)/Makefile: $(1)/gen_links.sh $(1)/regen_makefile.sh
+$(BUILDDIR)/$(1)/Makefile: $(1)/gen_links.sh $(1)/regen_makefile.sh .make.deps
(cd $(1) && ./gen_links.sh && ./regen_makefile.sh)
endef
define DIR_compile_template
.PHONY: $(1)/compile
-$(1)/compile: deps $(BUILDDIR)/$(1)/Makefile
+$(1)/compile: $(BUILDDIR)/$(1)/Makefile
$(MAKE) -C $(BUILDDIR)/$(1) compile
endef
diff --git a/_buildsystem/gen_links.inc.sh b/_buildsystem/gen_links.inc.sh
index 161754c..b7272e2 100644
--- a/_buildsystem/gen_links.inc.sh
+++ b/_buildsystem/gen_links.inc.sh
@@ -27,9 +27,20 @@
local files="$*"
for f in $files; do
- (ln -sf \
- "$(realpath "$TOPDIR/$PROJECTDIR/$dir/$f")" \
- "$BUILDDIR/$PROJECTDIR/$f") &
+ local target="$(realpath "$TOPDIR/$PROJECTDIR/$dir/$f")"
+ if ! [ -e "$target" ]; then
+ echo
+ echo "ERROR in $PROJECTDIR/gen_links.sh: file not found"
+ echo " File (from FILES):"
+ echo " $f"
+ echo " DIR:"
+ echo " $dir"
+ echo
+ exit 1
+ fi
+ ln -sf \
+ "$target" \
+ "$BUILDDIR/$PROJECTDIR/$f"
done
}
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/41143?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I0da0ec30e5eaf65d0348e22900a5ee006dee9e44
Gerrit-Change-Number: 41143
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/41142?usp=email )
Change subject: buildsystem/gen_links: catch file not found errors
......................................................................
buildsystem/gen_links: catch file not found errors
Tweak gen_links() to sequentially iterate over the files for which
symlinks shall be created, and verify that each symlink target exists.
If the target does not exist, abort with an error:
ERROR in bsc/gen_links.sh: file not found
File (from FILES):
SDP_EncDec.cc
DIR:
../deps/titan.Libraries.TCCUsefulFunctions/src
This is slightly slower than the parallel approach from before, but it
prevents adding subtle bugs that don't trigger every time so IMHO the
trade-off is worth it.
Change-Id: I6b0440dda7d5b37a4baa4b16f3979f7fb32b7b15
---
M _buildsystem/gen_links.inc.sh
1 file changed, 14 insertions(+), 3 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/42/41142/1
diff --git a/_buildsystem/gen_links.inc.sh b/_buildsystem/gen_links.inc.sh
index 161754c..b7272e2 100644
--- a/_buildsystem/gen_links.inc.sh
+++ b/_buildsystem/gen_links.inc.sh
@@ -27,9 +27,20 @@
local files="$*"
for f in $files; do
- (ln -sf \
- "$(realpath "$TOPDIR/$PROJECTDIR/$dir/$f")" \
- "$BUILDDIR/$PROJECTDIR/$f") &
+ local target="$(realpath "$TOPDIR/$PROJECTDIR/$dir/$f")"
+ if ! [ -e "$target" ]; then
+ echo
+ echo "ERROR in $PROJECTDIR/gen_links.sh: file not found"
+ echo " File (from FILES):"
+ echo " $f"
+ echo " DIR:"
+ echo " $dir"
+ echo
+ exit 1
+ fi
+ ln -sf \
+ "$target" \
+ "$BUILDDIR/$PROJECTDIR/$f"
done
}
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/41142?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I6b0440dda7d5b37a4baa4b16f3979f7fb32b7b15
Gerrit-Change-Number: 41142
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Attention is currently required from: jolly.
Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/libosmocore/+/41138?usp=email
to look at the new patch set (#2).
Change subject: Correctly calculate size iofd_msgb_alloc2()
......................................................................
Correctly calculate size iofd_msgb_alloc2()
The storage size of 'headroom' must be larger than 16 bits. Otherwise a
value above 65535 cannot be stored correctly and cause wrong
calculation of msgb size.
Related: Coverity CID#548925
Change-Id: I16c1e08fb64a1fafaeee1844fd8c00ecc2861d12
---
M src/core/osmo_io.c
1 file changed, 1 insertion(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/libosmocore refs/changes/38/41138/2
--
To view, visit https://gerrit.osmocom.org/c/libosmocore/+/41138?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Change-Id: I16c1e08fb64a1fafaeee1844fd8c00ecc2861d12
Gerrit-Change-Number: 41138
Gerrit-PatchSet: 2
Gerrit-Owner: jolly <andreas(a)eversberg.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: jolly <andreas(a)eversberg.eu>
Jenkins Builder has posted comments on this change by jolly. ( https://gerrit.osmocom.org/c/osmo-e1d/+/41139?usp=email )
Change subject: Add Channel-Associated Signalling (CAS) support
......................................................................
Patch Set 1:
(1 comment)
File src/mux_demux.c:
Robot Comment from checkpatch (run ID ):
https://gerrit.osmocom.org/c/osmo-e1d/+/41139/comment/e67a42b3_ef627bb6?usp… :
PS1, Line 418: /* Forward mulitframe to application. Even if there is no change, the appliction
'appliction' may be misspelled - perhaps 'application'?
--
To view, visit https://gerrit.osmocom.org/c/osmo-e1d/+/41139?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-e1d
Gerrit-Branch: master
Gerrit-Change-Id: Ib4f5e6ef02c9b0d1eec2a86d9c48376112805972
Gerrit-Change-Number: 41139
Gerrit-PatchSet: 1
Gerrit-Owner: jolly <andreas(a)eversberg.eu>
Gerrit-CC: Jenkins Builder
Gerrit-Comment-Date: Sun, 21 Sep 2025 09:57:33 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No